Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.mail
Class SessionFactory

    java.lang.Object
      |
      +--com.compoze.mail.SessionFactory

All Implemented Interfaces:
  java.io.Serializable

public class SessionFactory
extends java.lang.Object
implements java.io.Serializable

This factory class is used to create session to an Internet Mail server.

The single method `getSession()`, requires an arbitrary property set. The following table describes known property settings.

Session Property | Required | Description
`ISession.CONNPROP_CONNECTION_FACTORY` | No | The connection factory implementation for storing messages. Should be a fully-qualified class name.
`ISession.CONNPROP_DEBUG` | No | The debug setting for the session. If not set, the default value is taken from the `mail.debug` setting in `mail.properties`.
`ISession.CONNPROP_FROM` | Yes | The email address of the user (for example, 'joe.smith@mycompany.com').
`ISession.CONNPROP_FOLDER_DELETED` | No | The name of the user's deleted folder (for example, 'Deleted' or 'Trash').
`ISession.CONNPROP_FOLDER_DRAFTS` | No | The name of the user's drafts folder.
`ISession.CONNPROP_FOLDER_SENT` | No | The name of the user's sent folder (for example, 'Sent' or 'Sent Items').
`ISession.CONNPROP_INCOMING_HOST` | Yes | The host to connect to for incoming mail (where mail is stored, for example, imap or pop3 server).
`ISession.CONNPROP_OUTGOING_HOST` | Yes | The host to connect to for outgoing mail (for example, smtp server).
`ISession.CONNPROP_ORGANIZATION` | No | The name of the user's organization (for example, Compoze Software).
`ISession.CONNPROP_PASSWORD` | Yes | The user's password.
`ISession.CONNPROP_PROTOCOL` | Yes | The store/transport protocols for the session. Valid protocols include: pop3-smtp imap-smtp
`ISession.CONNPROP_USER` | Yes | The user authentication.

See Also:
  Serialized Form

Method Summary
`static ISession` | `getSession(java.util.Properties props)` Returns a new session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSession

    public static ISession getSession(java.util.Properties props)
                               throws MailException

  Returns a new session. The session is created using the specified protocols.
  Parameters:
    `props` - the set of properties used to create the session. See `ISesssion.CONNPROP_`constants for properties.``

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.